ParamMap (CMDB Model API)
Keywords: com.collation.platform.model.provision.runtime.ParamMap interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.runtime
Interface ParamMap

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface ParamMap

extends ModelObject

Naming Rules:
  0="name,owner,ownerType"
Persistable:
  true
Table Name:
  PARAMMAP
Display Name:
  name,owner,ownerType

Method Summary
`ParamMap[]` | `getChildren()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOwner()`
`java.lang.String` | `getOwnerType()`
`ParamValue[]` | `getValues()`
`boolean` | `hasChildren()`
`boolean` | `hasName()`
`boolean` | `hasOwner()`
`boolean` | `hasOwnerType()`
`boolean` | `hasValues()`
`void` | `setChildren(ParamMap[] s)`
`void` | `setName(java.lang.String s)`
`void` | `setOwner(java.lang.String s)`
`void` | `setOwnerType(java.lang.String s)`
`void` | `setValues(ParamValue[] s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setName

    void setName(java.lang.String s)

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setOwnerType

    void setOwnerType(java.lang.String s)

### getOwnerType

    java.lang.String getOwnerType()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOwnerType

    boolean hasOwnerType()

### setOwner

    void setOwner(java.lang.String s)

### getOwner

    java.lang.String getOwner()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOwner

    boolean hasOwner()

### setValues

    void setValues(ParamValue[] s)

### getValues

    ParamValue[] getValues()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasValues

    boolean hasValues()

### setChildren

    void setChildren(ParamMap[] s)

### getChildren

    ParamMap[] getChildren()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasChildren

    boolean hasChildren()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD